# mssndcard.h File Reference

mediastreamer2 mssndcard.h include file More...

`#include "mscommon.h"`

## Typedefs
typedef struct _MSSndCardManager | MSSndCardManager
typedef enum _MSSndCardMixerElem | MSSndCardMixerElem
typedef enum _MSSndCardCapture | MSSndCardCapture
typedef enum _MSSndCardControlElem | MSSndCardControlElem
typedef struct _MSSndCardDesc | MSSndCardDesc
typedef struct _MSSndCard | MSSndCard
## Functions
MS2_PUBLIC MSSndCardManager * | ms_snd_card_manager_get (void)
MS2_PUBLIC void | ms_snd_card_manager_destroy (void)
MS2_PUBLIC MSSndCard * | ms_snd_card_manager_get_card (MSSndCardManager *m, const char *id)
MS2_PUBLIC MSSndCard * | ms_snd_card_manager_get_default_card (MSSndCardManager *m)
MS2_PUBLIC MSSndCard * | ms_snd_card_manager_get_default_capture_card (MSSndCardManager *m)
MS2_PUBLIC MSSndCard * | ms_snd_card_manager_get_default_playback_card (MSSndCardManager *m)
MS2_PUBLIC const MSList * | ms_snd_card_manager_get_list (MSSndCardManager *m)
MS2_PUBLIC void | ms_snd_card_manager_add_card (MSSndCardManager *m, MSSndCard *c)
MS2_PUBLIC void | ms_snd_card_manager_register_desc (MSSndCardManager *m, MSSndCardDesc *desc)
MS2_PUBLIC void | ms_snd_card_manager_reload (MSSndCardManager *m)
MS2_PUBLIC struct _MSFilter * | ms_snd_card_create_reader (MSSndCard *obj)
MS2_PUBLIC struct _MSFilter * | ms_snd_card_create_writer (MSSndCard *obj)
MS2_PUBLIC MSSndCard * | ms_snd_card_new (MSSndCardDesc *desc)
MS2_PUBLIC MSSndCard * | ms_snd_card_new_with_name (MSSndCardDesc *desc, const char *name)
MS2_PUBLIC void | ms_snd_card_destroy (MSSndCard *obj)
MS2_PUBLIC MSSndCard * | ms_snd_card_dup (MSSndCard *card)
MS2_PUBLIC const char * | ms_snd_card_get_driver_type (const MSSndCard *obj)
MS2_PUBLIC const char * | ms_snd_card_get_name (const MSSndCard *obj)
MS2_PUBLIC const char * | ms_snd_card_get_string_id (MSSndCard *obj)
MS2_PUBLIC unsigned int | ms_snd_card_get_capabilities (const MSSndCard *obj)
MS2_PUBLIC void | ms_snd_card_set_level (MSSndCard *obj, MSSndCardMixerElem e, int percent)
MS2_PUBLIC int | ms_snd_card_get_level (MSSndCard *obj, MSSndCardMixerElem e)
MS2_PUBLIC void | ms_snd_card_set_capture (MSSndCard *obj, MSSndCardCapture c)
MS2_PUBLIC int | ms_snd_card_set_control (MSSndCard *obj, MSSndCardControlElem e, int val)
MS2_PUBLIC int | ms_snd_card_get_control (MSSndCard *obj, MSSndCardControlElem e)
MS2_PUBLIC MSSndCard * | ms_alsa_card_new_custom (const char *pcmdev, const char *mixdev)

## Detailed Description

mediastreamer2 mssndcard.h include file

This file provide the API needed to manage soundcard filters.